<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns="http://www.w3.org/1999/xhtml">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="https://fonts.googleapis.com/css?family=Roboto:400,700" rel="stylesheet">
    <title>add account to user</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>


    <link rel="shortcut icon" type="image/x-icon"
          href="https://img.icons8.com/cute-clipart/64/000000/login-rounded-right.png"/>


    <link href="../static/css/styleLoggingPage.css" rel="stylesheet"> <!-- link statyczny -->
    <link rel="stylesheet" th:href="@{/css/styleLoggingPage.css}"> <!-- link dynamiczny podczas pracy aplikacji -->
</head>

<body>
<div class="container">



    <div class="row">
        <div class="signup-form">

            <form action="#" method="post" th:action="@{/addAccountToUserAndDB (idUser=${currentUser.id})}"
                  th:object="${bankAccount}">
                <h2> New </h2>
                <p class="hint-text">Add bank account</p>
                <div class="form-group">
                    <div class="row">
                        <div class="col-xs">
                            <input type="text" th:field="*{volume}" id="volume" placeholder="Volume"
                                   class="form-control" required="required"></div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-xs">

                        <select th:field="*{currency}">
                            <option th:each="curr: ${currencys}" th:value="${curr}" th:text="${curr}"></option>
                        </select>


                    </div>
                </div>


                <!-- button to submit below -->
                <div class="form-group">
                    <button type="submit" class="btn btn-success btn-lg btn-block">Add new bank account</button>
                </div>
                <div class="col-sm">
                    <a type="button" class="btn btn-primary" th:href="@{showUserList}">Back to user list</a>
                </div>


            </form>
        </div>
    </div>

</div>
</body>

</html>